%define oname akonadi-calendar

Summary:	Plasma 5 Akonadi calendar
Name:		plasma5-%{oname}
Version:	17.08.2
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{oname}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	boost-devel
BuildRequires:	kf5akonadi-devel
BuildRequires:	kf5akonadicontact-devel
BuildRequires:	kf5calendarcore-devel
BuildRequires:	kf5calendarutils-devel
BuildRequires:	kf5codecs-devel
BuildRequires:	kf5contacts-devel
BuildRequires:	kf5identitymanagement-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5mailtransport-devel
BuildRequires:	kf5wallet-devel
BuildRequires:	sasl-devel
BuildRequires:	pkgconfig(libical)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)

%description
Plasma 5 Akonadi calendar.

#----------------------------------------------------------------------------

%package i18n
Summary:	Plasma 5 Akonadi calendar library translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
Plasma 5 Akonadi calendar library translations.

%files i18n -f libakonadi-calendar5.lang

#----------------------------------------------------------------------------

%define kf5akonadicalendar_major 5
%define libkf5akonadicalendar %mklibname kf5akonadicalendar %{kf5akonadicalendar_major}

%package -n %{libkf5akonadicalendar}
Summary:	Plasma 5 Akonadi calendar shared library
Group:		System/Libraries
Requires:	%{name}-i18n

%description -n %{libkf5akonadicalendar}
Plasma 5 Akonadi calendar shared library.

%files -n %{libkf5akonadicalendar}
%{_kde5_libdir}/libKF5AkonadiCalendar.so.%{kf5akonadicalendar_major}*

#----------------------------------------------------------------------------

%define devkf5akonadicalendar %mklibname kf5akonadicalendar -d

%package -n %{devkf5akonadicalendar}
Summary:	Development files for Plasma 5 Akonadi calendar
Group:		Development/KDE and Qt
Requires:	%{libkf5akonadicalendar} = %{EVRD}
Provides:	kf5akonadicalendar-devel = %{version}

%description -n %{devkf5akonadicalendar}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5akonadicalendar}
%dir %{_kde5_includedir}/KF5/Akonadi/Calendar
%{_kde5_includedir}/KF5/Akonadi/Calendar/*
%dir %{_kde5_includedir}/KF5/akonadi/calendar
%{_kde5_includedir}/KF5/akonadi/calendar/*
%{_kde5_includedir}/KF5/akonadi-calendar_version.h
%{_kde5_libdir}/cmake/KF5AkonadiCalendar
%{_kde5_libdir}/libKF5AkonadiCalendar.so
%{_kde5_mkspecsdir}/qt_AkonadiCalendar.pri

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang libakonadi-calendar5

%changelog

* Tue Oct 31 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.08.2-1
- (04cd9ac) New version 17.08.2


